Qt 5.8 | Qt Sensors | C++ Classes | QAmbientLightFilter

Qt 5.8.0 Reference Documentation

# QAmbientLightFilter Class

The QAmbientLightFilter class is a convenience wrapper around QSensorFilter. More...

Header: | #include <QAmbientLightFilter>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensorFilter

- List of all members, including inherited members

## Public Functions

virtual bool | filter(QAmbientLightReading *reading) = 0

- 1 public function inherited from QSensorFilter

## Detailed Description

The QAmbientLightFilter class is a convenience wrapper around QSensorFilter.

The only difference is that the filter() method features a pointer to QAmbientLightReading instead of QSensorReading.

## Member Function Documentation

### `[pure virtual]` bool QAmbientLightFilter::filter(QAmbientLightReading *reading)

Called when reading changes. Returns false to prevent the reading from propagating.

See also QSensorFilter::filter().